Bug 440711 - 1360x768 selected instead of 1680x1050 native panel res when using i915.modeset=1
1360x768 selected instead of 1680x1050 native panel res when using i915.modes...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 11:42 EDT by Charles R. Anderson
Modified: 2009-06-10 11:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log running without xorg.conf (22.60 KB, text/plain)
2008-04-04 11:42 EDT, Charles R. Anderson
no flags Details
xorg.conf (1001 bytes, text/plain)
2008-04-04 11:44 EDT, Charles R. Anderson
no flags Details
Xorg.0.log running with xorg.conf (21.40 KB, text/plain)
2008-04-04 11:44 EDT, Charles R. Anderson
no flags Details
without i915.modset, Xorg.0.log running with no config, everything works correctly (24.72 KB, text/plain)
2008-04-04 11:49 EDT, Charles R. Anderson
no flags Details
Xorg.0.log with kernel 2.6.29-0.137.rc5.git4.fc11.i586 (45.09 KB, application/octet-stream)
2009-02-24 07:28 EST, Chris Rosewarne
no flags Details

  None (edit)
Description Charles R. Anderson 2008-04-04 11:42:58 EDT
Description of problem:

Xorg chooses a suboptimal mode when using i915.modeset=1.  Native panel
resolution is 1680x1050 which does get used normally when modeset=0, but
1360x768 is selected instead with modeset=1.  This happens on both RHGB and GDM
X server instances, with or without any xorg.conf.  Using xrandr to change the
resolution back to 1680x1050 works fine.

Version-Release number of selected component (if applicable):

kernel-2.6.25-0.195.rc8.git1.fc9.x86_64
xorg-x11-drv-i810-2.2.1-19.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.901-16.20080401.fc9.x86_64

Additional info:

Thinkpad T61, Intel GM965 graphics.
Comment 1 Charles R. Anderson 2008-04-04 11:42:58 EDT
Created attachment 300456 [details]
Xorg.0.log running without xorg.conf
Comment 2 Charles R. Anderson 2008-04-04 11:44:02 EDT
Created attachment 300457 [details]
xorg.conf
Comment 3 Charles R. Anderson 2008-04-04 11:44:42 EDT
Created attachment 300458 [details]
Xorg.0.log running with xorg.conf
Comment 4 Charles R. Anderson 2008-04-04 11:49:49 EDT
Created attachment 300509 [details]
without i915.modset, Xorg.0.log running with no config, everything works correctly
Comment 5 Bill Nottingham 2008-04-08 01:08:10 EDT
I'm seeing this on a T60 with i945 as well (instead of 1400x1050).
Comment 6 Bug Zapper 2008-05-14 04:40:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chris Rosewarne 2009-02-18 07:16:03 EST
Using Rawhide with the latest kernel (2.6.29-0.124.rc5.i586) modesetting for Intel (apparently on by default now), I am getting 1024x768 instead of the native 1200x960 (on a Dell D430 notebook with Intel 945 graphics).
Comment 8 Bill Nottingham 2009-02-18 10:07:12 EST
I suspect this is because it thinks a TV output is attached that actually isn't. Any logs from boot?
Comment 9 Chris Rosewarne 2009-02-24 07:28:37 EST
Created attachment 333037 [details]
Xorg.0.log with kernel 2.6.29-0.137.rc5.git4.fc11.i586
Comment 10 Bug Zapper 2009-06-09 20:00:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bill Nottingham 2009-06-10 11:08:35 EDT
Since fixed.

Note You need to log in before you can comment on or make changes to this bug.